//
//  slidingCell.m
//  跳格子
//
//  Created by 壹家美食汇 on 16/8/10.
//  Copyright © 2016年 ZL. All rights reserved.
//

#import "slidingCell.h"

#define selfWith [UIScreen mainScreen].bounds.size.width/5*2
#define selfHeight [UIScreen mainScreen].bounds.size.width/5*2*1.5
@implementation slidingCell

-(UIImageView*)imageView
{
    if (!_imageView)
    {
        self.backgroundColor=[UIColor lightGrayColor];

        _imageView=[[UIImageView alloc]initWithFrame:CGRectMake(0, 0, selfWith, selfHeight/3*2)];

        [self addSubview:_imageView];

        if (!_remainingLab) {
            _remainingLab=[[UILabel alloc]initWithFrame:CGRectMake(20, selfHeight/3*2-20, selfWith-40, 15)];
            _remainingLab.backgroundColor=[UIColor grayColor];
            _remainingLab.text=@"剩余2件";
            _remainingLab.textColor=[UIColor whiteColor];
            _remainingLab.textAlignment=NSTextAlignmentCenter;
            _remainingLab.font=[UIFont systemFontOfSize:10];
            _remainingLab.alpha=0.8;
            [self addSubview:_remainingLab];
        }

        UILabel*rightLab=[[UILabel alloc]initWithFrame:CGRectMake(selfWith/3*2, selfHeight/3*2, selfWith/3, selfHeight/3)];

        rightLab.text=@"加购\n物车";

        rightLab.textAlignment=NSTextAlignmentCenter;

        rightLab.textColor=[UIColor whiteColor];

        rightLab.backgroundColor=[UIColor redColor];

        rightLab.numberOfLines=2;

        [self addSubview:rightLab];

        UILabel*leftLab=[[UILabel alloc]initWithFrame:CGRectMake(selfWith/3, selfHeight/3*2, selfWith/3, selfHeight/3)];

        leftLab.text=@"移入\n关注";

        leftLab.textAlignment=NSTextAlignmentCenter;

        leftLab.textColor=[UIColor whiteColor];

        leftLab.backgroundColor=[UIColor grayColor];

        leftLab.numberOfLines=2;

        [self addSubview:leftLab];
    }
    return _imageView;
}

-(void)setScrollViewWith:(NSArray*)titleArray
{
    if (!_scrollView)
    {
        _scrollView=[[UIScrollView alloc]initWithFrame:CGRectMake(0, 0, selfWith, selfHeight)];

        _scrollView.contentSize=CGSizeMake(selfWith/3*5+1, selfHeight);

        _scrollView.pagingEnabled=YES;

        _scrollView.bounces=YES;

        _scrollView.backgroundColor=[UIColor clearColor];

        _scrollView.showsVerticalScrollIndicator=NO;

        _scrollView.showsHorizontalScrollIndicator=NO;

        [self addSubview:_scrollView];

        UIView*view=[[UIView alloc]initWithFrame:CGRectMake(-selfWith/3*2, _imageView.bounds.size.height-1, selfWith/3*5, selfHeight/3+1)];

        view.backgroundColor=[UIColor whiteColor];

        [_scrollView addSubview:view];

        if (!_rightBtn) {
            _rightBtn=[blockButton buttonWithType:UIButtonTypeSystem];

            _rightBtn.frame=CGRectMake(selfWith/3*4, _imageView.bounds.size.height, selfWith/3, selfHeight/3);

            _rightBtn.backgroundColor=[UIColor clearColor];

            [_scrollView addSubview:_rightBtn];
        }

        if (!_leftBtn) {
            _leftBtn=[blockButton buttonWithType:UIButtonTypeSystem];

            _leftBtn.frame=CGRectMake(selfWith, _imageView.bounds.size.height, selfWith/3, selfHeight/3);

            _leftBtn.backgroundColor=[UIColor clearColor];
            
            [_scrollView addSubview:_leftBtn];
        }
    }
}

@end
